Download it now!
Bug 99417 - Effect of sort does not propagate to other column (not included in sort) without hard recalc
Summary: Effect of sort does not propagate to other column (not included in sort) with...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.5.2 release
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:5.2.0 target:5.1.3
Keywords: regression
Depends on:
Blocks:
 
Reported: 2016-04-20 14:13 UTC by Peter Smulders
Modified: 2016-10-25 19:02 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
example of file where the problem occurs (7.50 KB, application/vnd.ms-excel)
2016-04-20 14:19 UTC, Peter Smulders
Details
printscreen after soft (23.74 KB, image/png)
2016-04-20 16:47 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Smulders 2016-04-20 14:13:32 UTC
i have a simple worksheet containing in
column A: the numbers 1,2,...n
column B: input numbers (in the range 0 ..100)
column C: the formula =B1, =(C1+B2), ... =(Cm+Bn) where m=n-1
column D: the formula =C1/A1, =C2/A2, ... =Cn/An
So, in column D one expects the average value of the values in B.
(cumulative, e.g. D7 contains the average of B1, B2, ... B7)

Now I sort the values in column B
(Select column B, click Data > sort > descending)
The values in C change accordingly, but those in D remain the same!
Comment 1 Peter Smulders 2016-04-20 14:19:38 UTC
Created attachment 124535 [details]
example of file where the problem occurs

select col B, and do a sort of this column
col C changes, but D does not!
Comment 2 raal 2016-04-20 16:47:08 UTC
Created attachment 124536 [details]
printscreen after soft

I can not confirm with 5.1.2, win7

Please upgrade and test : http://www.libreoffice.org/download/libreoffice-fresh/
Comment 3 Cor Nouws 2016-04-21 10:59:52 UTC
Hi Peter,

Thanks for filing. I do see the problem if:

- select column B
- start Data > Sort (or hit sort button)
- choose "Current selection"

Now.. Ctrl+Shft+F9 (hard recalc) does update the values in D.

Tested with Version: 5.2.0.0.alpha0+
Build ID: e8425c48102321d4f5a8bd687c8ca1ac7bae797e
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2016-04-20_16:49:44
Locale: nl-NL (nl_NL.UTF-8)
Comment 4 Cor Nouws 2016-04-22 20:25:38 UTC
worked fine in 4.3.7.2
I think you are expert for this kind of issues, @erack ?
Comment 5 Peter Smulders 2016-04-27 20:15:59 UTC
installed libre office 5.1.2.2
the bug is still there
Comment 6 Peter Smulders 2016-05-01 20:59:39 UTC
reverted to 4.4.7.2
works fine, the bug is not there
Comment 7 Eike Rathke 2016-05-02 12:22:36 UTC
Investigating.
Comment 8 Commit Notification 2016-05-02 14:34:07 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a0b9fa819c9193dee1405cee13690adf00e2d9b9

Resolves: tdf#99417 explicitly track formula cells for BROADCAST_BROADCASTERS

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Eike Rathke 2016-05-02 14:55:59 UTC
Pending review
https://gerrit.libreoffice.org/24592 for 5-1
https://gerrit.libreoffice.org/24593 for 5-1-3
Comment 10 Commit Notification 2016-05-02 17:26:18 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4f5c97849b8d4aa4a6698e9528e39570a6d47a7a

unit test for tdf#99417 track formula cells for BROADCAST_BROADCASTERS

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Cor Nouws 2016-05-02 19:39:34 UTC
Thanks Eike!
Comment 12 Commit Notification 2016-05-03 09:36:44 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f6d54d43fc9c7b353a97162d026d58402bfbab20&h=libreoffice-5-1

Resolves: tdf#99417 explicitly track formula cells for BROADCAST_BROADCASTERS

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2016-05-03 16:53:24 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=550e7291ba7decee9478d6586e3098343d810a79&h=libreoffice-5-1-3

Resolves: tdf#99417 explicitly track formula cells for BROADCAST_BROADCASTERS

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.